uber-jar 6.5.3. Scene7 API Removed

Avatar

Avatar
Validate 1
Level 1
germanf88334862
Level 1

Likes

0 likes

Total Posts

4 posts

Correct reply

0 solutions
Top badges earned
Validate 1
View profile

Avatar
Validate 1
Level 1
germanf88334862
Level 1

Likes

0 likes

Total Posts

4 posts

Correct reply

0 solutions
Top badges earned
Validate 1
View profile
germanf88334862
Level 1

22-01-2020

Hello, everyone.

I'm trying to migrate on uber-jar 6.5.3 from 6.5.2, but i found out that classes under  com.day.cq.dam.scene7.api.* were removed.


So i cannot use next classes:
com.day.cq.dam.scene7.api.Scene7Service
com.day.cq.dam.scene7.api.S7ConfigResolver
com.day.cq.dam.scene7.api.S7Config
Which leads to problems with existing code.

 

Could someone tell me, is there any replacing for Scene7 API inside new uber-jar(6.5.3)?
And what happened to Scene7 API? Is it sunset?

P.S.
<dependency>
<groupId>com.adobe.aem</groupId>
<artifactId>uber-jar</artifactId>
<version>6.5.3</version>
<classifier>apis</classifier>
<scope>provided</scope>
</dependency>

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar
Coach
Employee
jbrar
Employee

Likes

389 likes

Total Posts

869 posts

Correct reply

283 solutions
Top badges earned
Coach
Establish
Give Back 50
Give Back 5
Give Back 3
View profile

Avatar
Coach
Employee
jbrar
Employee

Likes

389 likes

Total Posts

869 posts

Correct reply

283 solutions
Top badges earned
Coach
Establish
Give Back 50
Give Back 5
Give Back 3
View profile
jbrar
Employee

22-01-2020

Answers (1)

Answers (1)

Avatar

Avatar
Validate 1
Level 2
samsundar23
Level 2

Likes

4 likes

Total Posts

63 posts

Correct reply

0 solutions
Top badges earned
Validate 1
Ignite 3
Ignite 1
Give Back 3
Give Back
View profile

Avatar
Validate 1
Level 2
samsundar23
Level 2

Likes

4 likes

Total Posts

63 posts

Correct reply

0 solutions
Top badges earned
Validate 1
Ignite 3
Ignite 1
Give Back 3
Give Back
View profile
samsundar23
Level 2

04-03-2021

Hi @jbrar 

 

How about during uber-jar-6.5.7 upgrade.

I get the below error.

 

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project commbank.core: Compilation failure: Compilation failure:
[ERROR] /C:/CBA/my_LEGO/aem.commbank-lego/bundles/core/src/main/java/com/commbank/services/impl/DynamicMediaProcessorImpl.java:[7,39] package com.day.cq.dam.api.s7dam.scene7 does not exist
[ERROR] /C:/CBA/my_LEGO/aem.commbank-lego/bundles/core/src/main/java/com/commbank/services/impl/DynamicMediaProcessorImpl.java:[38,13] cannot find symbol
[ERROR] symbol: class ImageUrlApi
[ERROR] location: class com.commbank.services.impl.DynamicMediaProcessorImpl
[ERROR] -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.